#
# Cookbook:: kosmos_postgresql
# Recipe:: hostsfile
#

begin
primary_ip = postgresql_primary[:ipaddress]
rescue NoMethodError
end

unless primary_ip.nil?
  hostsfile_entry primary_ip do
    hostname  "pg.kosmos.local"
    unique    true
  end
end
